<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <SlpRow class="slp-py-160">
      <SlpColumn :cols="6" size="md" class="feature-block-summary__left">
        <SlpTypography
          style="font-weight: 700"
          class="slp-pb-16"
          variant="heading2"
          tag="h1"
        >
          {{ data['feature-description-header'] }}
        </SlpTypography>
        <SlpTypography variant="heading5" tag="p">
          {{ data['feature-description-body'] }}
        </SlpTypography>
      </SlpColumn>
      <SlpColumn :cols="6" size="md">
        <div
          v-for="feature_list_item in data['feature-list']"
          :key="feature_list_item.name"
          class="slp-pb-32 slp-flex"
        >
          <nuxt-img
            height="40px"
            width="40px"
            :src="`/nuxt-images/icons/${feature_list_item['icon']}`"
            alt=""
            loading="lazy"
            format="webp"
            quality="99"
          />

          <SlpTypography class="slp-pl-24" variant="heading5" tag="p"
            ><SlpTypography variant="heading5" tag="span">{{
              feature_list_item.name
            }}</SlpTypography>
            {{ feature_list_item.description }}</SlpTypography
          >
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.feature-block-summary {
  &__left {
    @media (min-width: $breakpoint-md) {
      padding-right: $spacing-64;
    }
  }
}
</style>
